import request from '@/utils/request'

// 查询权限列表
export function functionList(query) {
  return request({
    url: `/device/manage/function/list`,
    method: 'get',
    params: query
  })
}

// 新增权限
export function functionAdd(data) {
  return request({
    url: `/device/manage/function/add`,
    method: 'post',
    data: data
  })
}

// 编辑权限
export function functionEdit(data) {
  return request({
    url: `/device/manage/function/edit`,
    method: 'post',
    data: data
  })
}